Subject: bug#13177: 24.3.50; doc of `read-char-by-name'

From: Chong Yidong <[email-masked]>
Date: Fri, 21 Dec 2012 15:53:50 +0800

Stefan Monnier <[email-masked]> writes:

>> The problem for me is that I don't know what the intention (design)
>> was or why.  Maybe someone has a good reason to return nil or to
>> return a number that does not correspond to a recognized code point?
>
> It's called "read-char-by-name", so the intention is pretty clear: it
> should return a char.

Agreed.  I changed read-char-by-name on the trunk to signal an error for
invalid input.  (This also avoids other wonky cases, e.g. entering ##
giving the empty symbol because `read-char-by-name' uses `read'...)